=== debian/changelog ===
tclex (1.2a1-20) unstable; urgency=medium

  * Use /bin/echo to output pkgIndex.tcl for reproducibility (closes:
    #1101529).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Mar 2025 11:53:14 +0300

tclex (1.2a1-19) unstable; urgency=low

  * Add a patch which helps with building tcLex against a specific Tcl library.
  * Add a patch which allows one to use separate build directory to build
    the library.
  * Add a patch which ports tcLex to Tcl 9.
  * Build two versions of the library, one for Tcl 8.6, another for Tcl 9.0. 

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 27 Mar 2025 14:17:00 +0300

tclex (1.2a1-18) unstable; urgency=low

  * Drop doc-base support.
  * Bump debhelper compatibility version to 13.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Mar 2025 23:24:27 +0300

tclex (1.2a1-17) unstable; urgency=low

  * Change the package priority to optional since extra is deprecated.
  * Add the Salsa VCS headers to debian/control.
  * Bump debhelper compatibility version to 10.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Mar 2018 14:30:29 +0300

tclex (1.2a1-16) unstable; urgency=low

  * Renamed the binary package to tcl-tclex to match the Debian Tcl/Tk policy.
  * Ported to Tcl 8.5 and 8.6.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.
  * Put examples into the binary package.
  * Added ${misc:Depends} substitution variable to debian/control
  * Fixed copyright issues in debian/copyright.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2013 17:57:04 +0400

tclex (1.2a1-15) unstable; urgency=low

  * Don't allow to load tcLex package into Tcl 8.5 and newer because of
    changes in Tcl internal structures which break binary compatibility.
    After Tcl 8.5 will become a default Tcl version tcLex will be rebuilt
    with 8.5 and will loose compatibility with 8.4 (closes: #487549).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 18 Jul 2008 00:42:21 +0400

tclex (1.2a1-14) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #484914).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Jun 2008 21:01:32 +0400

tclex (1.2a1-13) unstable; urgency=low

  * Removed README.Debian because the information in it is no longer relevant.
  * Bumped standards version to 3.7.3.
  * Added a copyright notice.
  * Changed section in doc-base to Programming.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 May 2008 13:36:50 +0400

tclex (1.2a1-12) unstable; urgency=low

  * New maintainer Debian Tcl/Tk Packagers
    <pkg-tcltk-devel@lists.alioth.debian.org> (closes: #406135).
  * Adopted the package to the current Debian Tcl/Tk policy. This also fixed
    FTBFS (closes: #450474).
  * Fixed lintian complain on ignoring make distclean errors.
  * Switched to quilt for patch management.
  * Bumped debhelper compatibility level to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Nov 2007 20:41:40 +0300

tclex (1.2a1-11) unstable; urgency=low

  * QA upload.
  * Port to Tcl 8.4.  Closes: #420183.
    - src/tcLex.c: Use Command->flags instead of Command->deleted.
    - src/tcLex.c: Conform more closely to the Tcl_GetIndexFromObj(3tcl)
      prototype.
  * Remove unnecessary dependency on Tk.
  * debian/rules: Install changes.txt as the upstream changelog.
  * debian/changelog: Add colon after `closes' to placate Lintian.
  * debian/copyright: Update upstream URL.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Fri, 20 Apr 2007 19:32:23 +0200

tclex (1.2a1-10) unstable; urgency=low

  * QA upload. (ACK NMU; Closes: #359579)
  * Set maintainer to QA Group; Orphaned: #406135
  * Bump compat level, depend on at least dh 4.0
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue, 23 Jan 2007 08:52:27 +0100

tclex (1.2a1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359579).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 23:46:03 +0200

tclex (1.2a1-9) unstable; urgency=low

  * Changed dependencies to tcl/tk8.3 rather than 8.2.  Closes: #183802

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 28 Sep 2003 23:43:25 +0200

tclex (1.2a1-8) unstable testing; urgency=high

  * I _really_ need to get the change of 1.2a1-6 into testing or frozen 
    or whatever makes it go into woody.  Otherwise it leaves a broken 
    package transcriber!  Sorry for the messy uploads...   Do I have to
    file an RC bug against myself?

 -- David A. van Leeuwen <vleeuwen@debian.org>  Fri, 15 Mar 2002 17:26:49 +0100

tclex (1.2a1-7) unstable; urgency=low

  * changed priority from `optional' to `extra', in order to compy with
    override file. 
  
  * Changed typo in control, which actually closes: bug#125414, but hey,
    I'm not going to make this urgent.

  * Changed my email address.  Will this ever reduce spam?
  
 -- David A. van Leeuwen <vleeuwen@debian.org>  Fri, 15 Mar 2002 17:01:53 +0100

tclex (1.2a1-6) frozen; urgency=high

  * Changed build-dependency back to (tcl,tk)8.2-dev only, since `sid' has
    different location of tclConfig.sh than `woody'. (closes: Bug#125414)
  * Put ../tcl8.2/ in `file' variables in configure.in and configure, 
    for the same reason. 
 
 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon, 11 Mar 2002 10:03:40 +0100

tclex (1.2a1-5testing) testing; urgency=high

  * Changed build-dependency on (tcl,tk)8.0-dev only, since `sid' has
    different location of tclConfig.sh than `woody'. (closes: Bug#125414)
  * Removed ../tcl8.0/ in `file' variables in configure.in and configure, 

