=== debian/watch ===
version=3
http://membres.lycos.fr/fbonnet/pub/tcLex(.*)\.tar\.gz
